liborigin2: OriginDefaultParser Class Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
OriginDefaultParser Class Reference

`#include <OriginDefaultParser.h>`

Inheritance diagram for OriginDefaultParser:

## Public Member Functions
| OriginDefaultParser (const string &fileName)
bool | parse ()
Public Member Functions inherited from OriginParser
int | findExcelByName (const string &name) const
int | findFunctionByName (const string &name) const
int | findMatrixByName (const string &name) const
int | findSpreadByName (const string &name) const
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Private Attributes
string | fileName

## Additional Inherited Members
Public Attributes inherited from OriginParser
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrices
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount
Protected Member Functions inherited from OriginParser
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByIndexAndName (int spread, unsigned int index, const string &name)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
int | findExcelColumnByName (int excel, int sheet, const string &name) const
pair < Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const

## Constructor & Destructor Documentation

OriginDefaultParser::OriginDefaultParser | ( | const string & | fileName) |  |

## Member Function Documentation

bool OriginDefaultParser::parse | ( | ) |  |
| virtual

Implements OriginParser.

References fileName, OriginParser::findSpreadByName(), IsBigEndian(), MAX_LEVEL, OriginParser::speadSheets, and SwapBytes.

## Member Data Documentation

string OriginDefaultParser::fileName
| private

Referenced by parse().

The documentation for this class was generated from the following files:

- /build/liborigin2/src/liborigin2/OriginDefaultParser.h
- /build/liborigin2/src/liborigin2/OriginDefaultParser.cpp